mia-3deval-transformquantity
Prev | Tools for the Analysis of 3D image series | Next

### mia-3deval-transformquantity

#### Sysnopis:

`mia-3deval-transformquantity` {-o `string`} {-t `io`} [ `options` ...]

#### Description:

Get derivative a transformation obtained by by using image registration for any given positions in 3D. The position data is given in CSV format: id;time;x;y;z;reserved The output data will be stored in a binary file with an ascii header describing the data. An example header is given below: MIA tensorfield { dim=3 #number of dimensions of the data components=13 #number of components per element component_description=vector3,scalar,matrix3x3 #interpretation of components elements=20 #number of elements in file interpretation=strain #interpretation of elements (strain|derivative) style=sparse #storage style (sparse|grid) repn=float32 #representation of values size=1000 1000 200 #grid size of the transformation endian=low #endianess of binary data (low|big) } This example header has to be interpreted like follows: three-dimensional data, each entry consists of 13 values the values etry consists of a 3D vector, a scalar, and a 3x3 matrix (saved in row-major format).The data records represent strain tensors, and only a sparse set of points is given. The values are given as single floating point (32 bit). The original transformation field corresponds to images of 1000x1000x200 voxels and the binary data is stored in low endian format.

#### Options:

#### File-IO

-i, --in-file=(input); string

  input point set, if this parameter is given a sparse evaluation of the quantity will be done, otherwise the quantity is evaluated for each grid point of the transformation range.

-o, --out-file=(output, required); string

  output strains file, for a format description see above.

-t, --transformation=(input, required); io

  transformation of which the quantity will be evaluated.. For supported file types see Plugin type: 3dtransform/io

#### Parameters

-q, --quantity=strain; dict

  Specify the quantity to be evaluated at the given points

  derivative: | Evaluate the transformation derivative at the given points
  strain: | Evaluate the strain tensor at the given points

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Derivative of the transformation change.v3df for each point given in input.csv are evaluated and written to output.s.

    mia-3deval-transformquantity -i input.csv -o output.s --transformation change.v3df

#### Author(s):

Gert Wollny

Prev | Up | Next
Tools for the Analysis of 3D image series | Home | mia-3dseries-track-intensity